Bug 483697 - RFE: "semanage boolean -l" output consistent with ftpd_selinux(8) manual page
RFE: "semanage boolean -l" output consistent with ftpd_selinux(8) manual page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 21:50 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 03:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-02-02 21:50:01 EST
Description of problem:

"semanage boolean -l | grep ftp" output has:

allow_ftpd_use_nfs             -> off   Allow ftp servers to use nfs used for public file transfer services.
allow_ftpd_use_cifs            -> off   Allow ftp servers to use cifs used for public file transfer services.

"...nfs used..." and "...cifs used..." does not sound right.

It might be clearer if the output was consistent with ftpd_selinux(8):

"Allow ftp servers to use nfs for public file transfer services."
"Allow ftp servers to use cifs for public file transfer services."

Version-Release number of selected component (if applicable):

selinux-policy-3.5.13-40.fc10.noarch
selinux-policy-targeted-3.5.13-40.fc10.noarch


Expected results:

Consistent with ftpd_selinux(8):

"semanage boolean -l | grep ftp"

allow_ftpd_use_nfs             -> off   Allow ftp servers to use nfs for public file transfer services.
allow_ftpd_use_cifs            -> off   Allow ftp servers to use cifs for public file transfer services.


Additional info:

Does "semanage boolean -l" look at "/usr/share/selinux/devel/policy.xml" for descriptions? If policy.xml is generated from the .te files in "/serefpolicy-[version]/policy/modules/services/", I could make the changes and attach them here.
Comment 1 Daniel Walsh 2009-02-03 11:12:47 EST
It is generated from the te files, and you are welcome to make any changes.

I have fixed the two you specified in rawhide.

Miroslav could you fix these in F10 and F9
Comment 2 Miroslav Grepl 2009-02-03 14:03:15 EST
Fixed in selinux-policy-3.5.13-42.fc10
Comment 3 Murray McAllister 2009-03-09 01:16:37 EDT
Verified in selinux-policy-3.5.13-46.fc10.noarch and selinux-policy-3.6.8-1.fc11.noarch

Thanks.

Note You need to log in before you can comment on or make changes to this bug.